<?xml version="1.0" encoding="UTF-8"?>
<system name="DISS Doppler radar">
 <!-- Допплеровский измеритель скорости и угла сноса ДИСС -->


 <!-- TODO Memory mode (just latch V_g and beta), attitude limits and sea error. -->


 <property>fcs/NPK/instr/USh/pot/beta_0-deg</property>


 <!-- FIXME Where should this come from? -->
 <property>fcs/NPK/DISS/status/test</property>


 <channel name="Status" execrate="8">

  <switch name="fcs/NPK/DISS/status/on">
   <default value="1"/>
   <test value="0">
    fcs/NPK/elec/AC115-ok EQ 0
   </test>
   <test logic="AND" value="0">
    fcs/NPK/status/prepare EQ 0
    fcs/NPK/status/run EQ 0
   </test>
  </switch>

  <fcs_function name="fcs/NPK/DISS/status/func/ready-inp">
   <function>
    <product>
     <difference>
      <p>fcs/NPK/DISS/status/on</p>
      <p>fcs/NPK/DISS/status/func/ready-norm</p>
     </difference>
     <v>10.0</v>
    </product>
   </function>
   <clipto>
    <min>-1.0</min>
    <max>1.0</max>
   </clipto>
  </fcs_function>

  <switch name="fcs/NPK/DISS/status/func/ready-c1">
   <!-- 60 s-->
   <default value="0.0167"/>
   <test value="1.0">
    simulation/init-hotstart-avionics NE 0
   </test>
   <!-- 30 s -->
   <test logic="AND" value="0.0333">
    fcs/NPK/DISS/status/on NE 0
    fcs/NPK/panel/PIK/switch/heating NE 0
   </test>
  </switch>

  <integrator name="fcs/NPK/DISS/status/func/ready-norm">
   <input>fcs/NPK/DISS/status/func/ready-inp</input>
   <c1>fcs/NPK/DISS/status/func/ready-c1</c1>
  </integrator>

  <switch name="fcs/NPK/DISS/status/ready">
   <default value="fcs/NPK/DISS/status/on"/>
   <test logic="AND" value="0">
    fcs/NPK/DISS/status/func/ready-norm LT 0.9
    simulation/init-hotstart-avionics EQ 0
   </test>
  </switch>

  <pure_gain name="fcs/NPK/DISS/status/indicators-ok">
   <input>fcs/NPK/DISS/status/on</input>
   <gain>fcs/NPK/elec/AC36-ok</gain>
  </pure_gain>

  <switch name="fcs/NPK/DISS/status/no-signal">
   <default value="0"/>
   <test logic="OR" value="1">
    attitude/theta-deg LT -25.0
    attitude/theta-deg GT 25.0
    attitude/phi-deg LT -45.0
    attitude/phi-deg GT 45.0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/light/DISS-fault">
   <default value="0"/>
   <test value="fcs/NPK/DISS/status/on">
    fcs/NPK/DISS/status/ready EQ 0
   </test>
   <test value="fcs/NPK/DISS/status/on">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
  </switch>

 </channel>


 <channel name="DISS">

  <fcs_function name="fcs/NPK/DISS/func/V_g-km_h">
   <function>
    <sqrt>
     <sum>
      <product>
       <p>velocities/vg-north-km_h</p>
       <p>velocities/vg-north-km_h</p>
      </product>
      <product>
       <p>velocities/vg-east-km_h</p>
       <p>velocities/vg-east-km_h</p>
      </product>
     </sum>
    </sqrt>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/DISS/func/psi_V-rad">
   <function>
    <atan2>
     <p>velocities/vg-east-km_h</p>
     <p>velocities/vg-north-km_h</p>
    </atan2>
   </function>
  </fcs_function>

  <summer name="fcs/NPK/DISS/func/beta-rad">
   <input>fcs/NPK/DISS/func/psi_V-rad</input>
   <input>-attitude/psi-rad</input>
  </summer>

  <fcs_function name="fcs/NPK/DISS/func/beta-deg">
   <function>
    <todegrees>
     <p>fcs/NPK/DISS/func/beta-rad</p>
    </todegrees>
   </function>
   <clipto type="cyclic">
    <min>-180.0</min>
    <max>180.0</max>
   </clipto>
  </fcs_function>

  <fcs_function name="fcs/NPK/DISS/func/V_g_x-km_h">
   <function>
    <product>
     <p>fcs/NPK/DISS/func/V_g-km_h</p>
     <cos>
      <p>fcs/NPK/DISS/func/beta-rad</p>
     </cos>
    </product>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/DISS/func/V_g_y-km_h">
   <function>
    <product>
     <p>fcs/NPK/DISS/func/V_g-km_h</p>
     <sin>
      <p>fcs/NPK/DISS/func/beta-rad</p>
     </sin>
    </product>
   </function>
  </fcs_function>

  <switch name="fcs/NPK/DISS/V_g_x-km_h">
   <default value="fcs/NPK/DISS/func/V_g_x-km_h"/>
   <test value="0.0">
    fcs/NPK/DISS/status/on EQ 0
   </test>
   <test value="2240.0">
    fcs/NPK/DISS/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/DISS/V_g_y-km_h">
   <default value="fcs/NPK/DISS/func/V_g_y-km_h"/>
   <test value="0.0">
    fcs/NPK/DISS/status/on EQ 0
   </test>
   <test value="0.0">
    fcs/NPK/DISS/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/DISS/V_g-km_h">
   <default value="fcs/NPK/DISS/func/V_g-km_h"/>
   <test value="0.0">
    fcs/NPK/DISS/status/on EQ 0
   </test>
   <test value="2240.0">
    fcs/NPK/DISS/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/DISS/beta-deg">
   <default value="fcs/NPK/DISS/func/beta-deg"/>
   <test logic="OR" value="0.0">
    fcs/NPK/DISS/status/on EQ 0
    fcs/NPK/DISS/status/test NE 0
    fcs/NPK/DISS/func/V_g-km_h LT 70.0
   </test>
  </switch>

 </channel>


 <channel name="Gauges" execrate="4">

  <!-- Указатель штурмана УШ -->

  <switch name="fcs/NPK/instr/USh/gauge/beta-deg">
   <default value="fcs/NPK/DISS/beta-deg"/>
   <test value="fcs/NPK/instr/USh/gauge/beta-deg">
    fcs/NPK/DISS/status/indicators-ok EQ 0
   </test>
   <clipto><min>-20.0</min><max>20.0</max></clipto>
  </switch>

  <switch name="fcs/NPK/instr/USh/counter/V_g-km_h[0]">
   <default value="fcs/NPK/DISS/V_g-km_h"/>
   <test value="fcs/NPK/instr/USh/counter/V_g-km_h[0]">
    fcs/NPK/DISS/status/indicators-ok EQ 0
   </test>
   <clipto>
    <min>0.0</min>
    <max>9999.0</max>
   </clipto>
  </switch>

  <fcs_function name="fcs/NPK/instr/USh/counter/V_g-km_h[1]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/USh/counter/V_g-km_h[0]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/USh/counter/V_g-km_h[0]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/USh/counter/V_g-km_h[0]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/instr/USh/counter/V_g-km_h[2]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/USh/counter/V_g-km_h[1]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/USh/counter/V_g-km_h[1]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/USh/counter/V_g-km_h[1]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/instr/USh/counter/V_g-km_h[3]">
   <function>
    <!-- Geneva drive -->
    <sum>
     <!-- Simple step -->
     <floor>
      <product>
       <!-- lower digit -->
       <p>fcs/NPK/instr/USh/counter/V_g-km_h[2]</p>
       <!-- = 1 / base -->
       <v>0.1</v>
      </product>
     </floor>
     <!-- Transition -->
     <min>
      <v>1.0</v>
      <max>
       <v>0.0</v>
       <product>
        <difference>
         <product>
          <!-- lower digit -->
          <p>fcs/NPK/instr/USh/counter/V_g-km_h[2]</p>
          <!-- = 1 / base -->
          <v>0.1</v>
         </product>
         <floor>
          <product>
           <!-- lower digit -->
           <p>fcs/NPK/instr/USh/counter/V_g-km_h[2]</p>
           <!-- = 1 / base -->
           <v>0.1</v>
          </product>
         </floor>
         <!-- transition length, 0.0 to 1.0 -->
         <v>0.9</v>
        </difference>
        <!-- = 1 / transition length -->
        <v>10.0</v>
       </product>
      </max>
     </min>
    </sum>
   </function>
  </fcs_function>

 </channel>


</system>
